#
# spec file for package terminology-theme-openSUSE
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           terminology-theme-openSUSE
Version:        20151216
Release:        lp150.1.25
Summary:        openSUSE theme for Terminology
License:        BSD-2-Clause and LGPL-2.1 and CC-BY-SA-3.0
Group:          System/X11/Terminals
Url:            https://en.opensuse.org/Portal:Enlightenment
Source:         %{name}-%{version}.tar.xz
BuildRequires:  ImageMagick
BuildRequires:  edje
Requires:       terminology
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       terminology-theme-dft
Conflicts:      otherproviders(terminology-theme-dft)

%description
openSUSE theme for Terminology

%prep
%setup -q

%build
./build-darkmod.sh --termpkg
cp terminology/openSUSE-e.edj ./default.edj
cp licenses-authors/* .

%install
install -m 0755 -d %{buildroot}%{_datadir}/terminology/themes
install -m 0644 -t %{buildroot}%{_datadir}/terminology/themes default.edj

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/terminology

%changelog
* Wed Dec 16 2015 simon@simotek.net
- Fix terminology build 20151216
* Sat Dec 12 2015 simon@simotek.net
- Update theme for latest changes, make build script wor with
  factory 20151212
* Wed May 27 2015 aj@ajaissle.de
- Uppercase rpm group
* Sat Oct 11 2014 simon@simotek.net
- Pull in last upstream theme so that minimap and other new features
  work properly
- New theme package with licensing fixes that were picked up in
  SR:252158, also fixed the spec.
* Tue Sep 16 2014 simon@simotek.net
- New theme for openSUSE 13.2
* Wed Feb 19 2014 simon@simotek.net
- conflicts with other providers of terminology-theme-dft
* Tue Dec 24 2013 simon@simotek.net
- Update for terminology 0.4.0
  This theme now provides default.edj
* Tue Dec 17 2013 sleep_walker@suse.cz
- require edje instead of all efl
- beautify spec
* Sun Dec  1 2013 sleep_walker@suse.cz
- replace dependency with new EFL migration
* Sun Dec  1 2013 sleep_walker@suse.cz
- add missing dependency (ImageMagick)
